=== ipchains-1.3.4/Makefile ===
#
#	$Id: Makefile,v 1.2 1997/07/15 02:27:55 rusty Exp rusty $
#
#
#	Makefile for the ipchain package: ripped straight from ipfwadm.
#	(C) 1997 All rights reserved.
#       EMail complaints to Paul Russell Paul.Russell@rustcorp.com.au.
#
#	This program is free software; you can redistribute it and/or modify
#	it under the terms of the GNU General Public License as published by
#	the Free Software Foundation; either version 2 of the License, or
#	(at your option) any later version.
#
#	This program is distributed in the hope that it will be useful,
#	but WITHOUT ANY WARRANTY; without even the implied warranty of
#	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#	GNU General Public License for more details.
#
#	You should have received a copy of the GNU General Public License
#	along with this program; if not, write to the Free Software
#	Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#

CC	= gcc
COPTS   = -g -O
CFLAGS	= -Wall -Wunused $(COPTS)
SBIN	= /sbin
MANDIR	= /usr/man
INSTALL = install

all:		ipchains ipfw.4 ipchains.8

ipchains:	ipchains.c kernel_headers.h
	$(CC) $(CFLAGS) -o ipchains ipchains.c

install:	ipchains ipfw.4 ipchains.8 ipchains-save ipchains-restore
	@-mv $(SBIN)/ipchains $(SBIN)/ipchains.old
	$(INSTALL) -m 0755 -o root -g root ipchains $(SBIN)/
	$(INSTALL) -m 0755 -o root -g root ipchains-save $(SBIN)/
	$(INSTALL) -m 0755 -o root -g root ipchains-restore $(SBIN)/
	$(INSTALL) -m 0644 -o root -g root ipfw.4 $(MANDIR)/man4/
	$(INSTALL) -m 0644 -o root -g root ipchains.8 $(MANDIR)/man8/

uninstall:
	-rm -f $(SBIN)/ipchains $(MANDIR)/man4/ipfw.4 $(MANDIR)/man8/ipchains.8
	@-mv $(SBIN)/ipchains.old $(SBIN)/ipchains && echo Restored old ipchains from $(SBIN)/ipchains.old...

clean:
	rm -f ipchains *.o core
