## netbase 4.17ubuntu3

=== debian/changelog ===
netbase (4.17ubuntu3) warty; urgency=low

  * debian/netbase.init: silence ifup/ifdown if VERBOSE == no
  * debian/netbase.init: silence debuging output if VERBOSE == no

 -- Nathaniel McCallum <npmccallum@canonical.com>  Tue,  7 Sep 2004 16:03:20 -0400

netbase (4.17ubuntu2) warty; urgency=low

  * Added versioned depend on lsb-base

 -- Nathaniel McCallum <npmccallum@canonical.com>  Fri,  3 Sep 2004 15:07:08 -0400

netbase (4.17ubuntu1) warty; urgency=low

  * debian/netbase.init: pretty initscript

 -- Nathaniel McCallum <npmccallum@canonical.com>  Fri,  3 Sep 2004 11:33:59 -0400

netbase (4.17) unstable; urgency=medium

  * etc-services: added enbd-cstatd (5051/tcp), enbd-sstatd (5052/tcp),
    nsca (5667/tcp), xinetd (9098/tcp), updated 5222 and 5269.
    (Closes: #232936, #241404, #242642, #243559, #234279, #238647)
  * New template translations: da uk tr el de ca.
    (Closes: #235351, #236839, #239146, #243557, #244534, #248731)

 -- Marco d'Itri <md@linux.it>  Sat, 22 May 2004 14:42:42 +0200

netbase (4.16) unstable; urgency=medium

  * Process /etc/network/options on reloads. (Closes: #223481)
  * etc-protocols: added hopopt (0, commented), igp (9), eigrp (88),
    ax.25 (93), etherip (97), l2tp (115). (Many thanks to J.H.M. Dassen)
  * etc-services: added tacacs (49), tacacs-ds (65), loc-srv (135),
    isakmp (500), kazaa (1214), nessus (1241), ms-sql-s (1433),
    ms-sql-m (1434), kermit (1649), nut (3493), radmin-port (4899),
    rplay (5555), rptp (5556), bacula-dir (9101), bacula-fd (9102),
    bacula-sd (9103).
    (Closes: #225540, #226512, #228554, #229064, #231182)
  * etc-services: renamed svn to svnserve. (Closes: #226842)
  * Cleaned up the /etc/services comments.
  * Added zh_CN.po. (Closes: #231911)
  * Updated po.po. (Closes: #228334)

 -- Marco d'Itri <md@linux.it>  Fri, 13 Feb 2004 12:11:41 +0100

netbase (4.15) unstable; urgency=medium

  * etc-services: added gnutella-svc (6346), gnutella-rtr (6347).
    (Closes: #217706)
  * Updated ru.po. (Closes: #219229)
  * Remove extraneous spaces from init script messages. (Closes: #219203)

 -- Marco d'Itri <md@linux.it>  Mon,  1 Dec 2003 13:45:44 +0100

netbase (4.14) unstable; urgency=medium

  * etc-services: added unix-status (1957/tcp), log-server (1958/tcp),
    remoteping (1959/tcp). (Closes: #203047)
  * etc-services: added distmp3 (4600/tcp). (Closes: #213525)
  * Added dependency on virtual package ping. (Closes: #206433)
  * Added es.po and ja.po. (Closes: #120147, #210435)

 -- Marco d'Itri <md@linux.it>  Sun, 12 Oct 2003 15:29:46 +0200

netbase (4.13) unstable; urgency=medium

  * Partially revert the patch from #183960 because it was applied
    incorrectly and anyway is broken and will cause update-inetd to
    fail as soon as it asks a question, as the default is "no".
    There is no good fix at least with the current code and autobuilders
    should replace update-inetd with a dummy program like they already
    do for start-stop-daemon. (Closes: #205845)
    This serves me right for trying to update the evil update-inetd.

 -- Marco d'Itri <md@linux.it>  Sun, 17 Aug 2003 04:23:41 +0200

netbase (4.12) unstable; urgency=medium

  * Brown paper bag bug: fix grep command line in postinst. (Closes: #205759)

 -- Marco d'Itri <md@linux.it>  Sun, 17 Aug 2003 02:13:17 +0200

netbase (4.11) unstable; urgency=medium

  * etc-services: added lrrd (4949/tcp). (Closes: #199395)
  * etc-services: fixed postgresql name. (Closes: #199867)
  * etc-services: added unix-status (1957/tcp), log-server (1958/tcp),
    remoteping (1959/tcp). (Closes: #203047)
  * etc-protocols: added ipcomp (108). (Closes: #204776)
  * update-inetd: make it cooperate with debconf, patch by Robert Jordens.
    (Closes: #183960)
  * update-inetd: updated the message about xinetd documentation.
    (Closes: #199184)
  * Updated nl.po and fr.po. (Closes: #198632, #204575)
  * IPv6 entries will be always added to /etc/hosts from now on.

 -- Marco d'Itri <md@linux.it>  Sat, 16 Aug 2003 18:24:25 +0200

netbase (4.10) unstable; urgency=medium

  * etc-services: added spamd (783/tcp). (Closes: #193724)
  * etc-services: added svn (3690/tcp,udp). (Closes: #185216)
  * etc-services: added clearcase (371/tcp,udp). (Closes: #176001)
  * etc-services: fix typos. (Closes: #174746, #175505, #175684)
  * etc-protocols: added vrrp (112). (Closes: #187274)
  * etc-protocols: fix typo. (Closes: #177706)
  * Switch to po-debconf, patch by Andre Luis Lopes. (Closes: #183996)
  * Fix typo in po.de. (Closes: #175510)
  * Use chomp instead of chop in DebianNet.pm. (Closes: #53733)

 -- Marco d'Itri <md@linux.it>  Sun, 15 Jun 2003 18:54:51 +0200

netbase (4.09) unstable; urgency=low

  * etc-services: added microsoft-ds (445/tcp,udp) (Closes: #166566).
  * etc-services: added distcc (3632/tcp,udp) (Closes: #170014).
  * Use unbuffered I/O in update-inetd (Closes: #166853).

 -- Marco d'Itri <md@linux.it>  Sun, 22 Dec 2002 13:31:54 +0100

netbase (4.08) unstable; urgency=low

  * NMU.
  * Fixed spoofalert option name in resolv+(8). (Closes: #41349)
  * Delete /etc/cron.daily/netbase when upgrading. (Closes: #78334)
  * Put a band aid in update-inetd to make it work with debconf.
    (Closes: #90676, #143393)
  * Changed the style of /etc/init.d/networking messages to conform to
    policy. (Closes: #121941)
  * Set the $PATH in /etc/init.d/networking. (Closes: #131213)
  * Check for netware and CODA shares in /etc/init.d/networking.
    (Closes: #122319)
  * Remove support for 2.0.x kernels from /etc/init.d/networking and
    the related debconf templates. (Closes: #118110)
  * Do not create unneeded direcories. (Closes: #122478)
  * Advertise ifupdown documentation with debconf. (Closes: #63322)
  * Fixed typo in debconf template. (Closes: #120147)
  * Added pt_BR debconf template. (Closes: #123001)
  * /etc/gateways and gateways(5) moved to the routed package. (Closes: #75200)
  * resolv+(8) moved to the manpages package.

