## netbase 4.19ubuntu4

=== debian/changelog ===
netbase (4.19ubuntu4) hoary; urgency=low

  * Display a more useful error message when failing to open
    a device to redirect stdin/stdout/stderr

 -- Matt Zimmerman <mdz@ubuntu.com>  Thu,  3 Mar 2005 16:35:49 -0800

netbase (4.19ubuntu3) hoary; urgency=low

  * removed 'echo "rp_filter"' and replaced it with a proper
    lsb-init-function (closes: #5401)

 -- Michael Vogt <mvo@debian.org>  Wed, 19 Jan 2005 09:31:13 +0100

netbase (4.19ubuntu2) hoary; urgency=low

  * Fix bashism in init script (closes: #4491).

 -- Matthias Klose <m@klose.in-berlin.de>  Sun,  2 Jan 2005 23:43:07 +0100

netbase (4.19ubuntu1) hoary; urgency=low

  * Resynchronise with Debian.

 -- LaMont Jones <lamont@canonical.com>  Thu, 11 Nov 2004 14:04:45 -0700

netbase (4.19) unstable; urgency=medium

  * etc-services: added rtsp (554), hkp (11371), ospfapi (2607/tcp) and
    isisd (2608/tcp). lrrd renamed to munin.
    (Closes: #266047, #267115, #278435, #270617)
  * etc-rpc: added ypxfrd (600100069). (Closes: #275244)

 -- Marco d'Itri <md@linux.it>  Sun, 31 Oct 2004 16:51:02 +0100

netbase (4.18ubuntu1) hoary; urgency=low

  * Resynchronise with Debian.

 -- Scott James Remnant <scott@canonical.com>  Wed, 27 Oct 2004 13:53:41 +0100

netbase (4.18) unstable; urgency=high

  * etc-services: added snmp (161/tcp) and snmp-trap (162/tcp).
    (Closes: #254103)
  * New debconf translation: cs. (Closes: #260364)

 -- Marco d'Itri <md@linux.it>  Wed, 28 Jul 2004 00:46:53 +0200
