## netbase 4.21

=== debian/changelog ===
netbase (4.21) unstable; urgency=medium

  * etc-rpc: renamed ypxfrd (600100069) to fypxfrd. (Closes: #280546)
  * etc-services: added clc-build-daemon (8990/tcp), daap (3689),
    openvpn (1194), proofd (1093), rootd (1094), iax (4569), sip (5060),
    sip-tls (5061), bprd (13720), bpdbm (13721), bpjava-msvc (13722),
    vnetd (13724), bpcd (13782), vopied (13783).
    (Closes: #295044, #295827, #296260, #296517, #296956, #298676
  * etc-services: svnserve renamed to svn. (Closes: #300649)
  * Updated the es template translation. (Closes: #298622)
  * Added cifs, nfs4 and ncpfs to the list of file systems in the init
    script. (Closes: #296902)
  * Anchored some regexps used in update-inetd. (See #296795)

 -- Marco d'Itri <md@linux.it>  Mon, 21 Mar 2005 20:35:38 +0100

netbase (4.20) unstable; urgency=medium

  * Do not ifdown lo. (Closes: #208700)
  * etc-services: added acr-nema (104), gpsd (2947), l2f (1701).
    (Closes: #284527, #286389)
  * etc-services: sane renamed to sane-port. (Closes: #284317)

 -- Marco d'Itri <md@linux.it>  Thu, 27 Jan 2005 01:16:00 +0100
