## netbase 4.21ubuntu3

=== debian/changelog ===
netbase (4.21ubuntu3) breezy; urgency=low

  * debian/netbase.init: Temporarily increase usplash timeout to 120 seconds
    to cope with slop DHCP server responses. (Ubuntu #15394)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 19 Sep 2005 13:05:12 +0200

netbase (4.21ubuntu2) breezy; urgency=low

  * Remove dependency on netkit-inetd

 -- Matt Zimmerman <mdz@ubuntu.com>  Tue, 19 Apr 2005 21:46:30 -0700

netbase (4.21ubuntu1) breezy; urgency=low

  * Resynchronise with Debian, resolving merge conflicts.

 -- Adam Conrad <adconrad@0c3.net>  Thu, 14 Apr 2005 23:36:07 -0600
