=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: netbase
 Architecture: all
-Depends: ifupdown (>= 0.6.4-4.9), netkit-inetd, tcpd, iputils-ping | ping, debconf
+Depends: ifupdown (>= 0.6.4-4.9), tcpd, iputils-ping | ping, debconf, lsb-base (>= 1.3-9ubuntu3)
 Conflicts: xinetd (<= 2.2.1-8), netstd (<< 3.00), nfs-common (<< 1:0.3.2-1), nfs-user-server (<< 2.2beta47-9), nis (<= 3.6-2), rstatd (<= 3.03-3), rwalld (<= 0.16-1), rusersd (<= 0.17-1), ugidd (<< 2.2beta47-9)
 Description: Basic TCP/IP networking system
  This package provides the necessary infrastructure for basic TCP/IP based
