## netbase 4.24ubuntu3

=== debian/changelog ===
netbase (4.24ubuntu3) dapper; urgency=low

  * Give an [ok] when bringing down the network interfaces works and we're
    not in verbose mode.

 -- Scott James Remnant <scott@ubuntu.com>  Thu, 11 May 2006 07:53:57 +0100

netbase (4.24ubuntu2) dapper; urgency=low

  * Move networking script back to S40.

 -- Scott James Remnant <scott@ubuntu.com>  Thu, 23 Feb 2006 15:26:58 +0000

netbase (4.24ubuntu1) dapper; urgency=low

  * Resynchronise with Debian.
    - Manually fix up init script again.
  * Migrate /etc/network/options to /etc/sysctl.conf settings.

 -- Scott James Remnant <scott@ubuntu.com>  Wed, 25 Jan 2006 17:16:36 +0000

netbase (4.23ubuntu4) dapper; urgency=low

  * Move networking script from S40 to S50

 -- Scott James Remnant <scott@ubuntu.com>  Tue, 24 Jan 2006 18:12:37 +0000

netbase (4.23ubuntu3) dapper; urgency=low

  * Remove missed call to process_options.

 -- Scott James Remnant <scott@ubuntu.com>  Mon, 28 Nov 2005 10:15:38 +0000

netbase (4.23ubuntu2) dapper; urgency=low

  * If /etc/network/options is deprecated, then let's deprecate it!  See
    README.Debian for details on what to do instead.

 -- Scott James Remnant <scott@ubuntu.com>  Tue, 22 Nov 2005 15:30:47 +0000

netbase (4.23ubuntu1) dapper; urgency=low

  * Resynchronise with Debian.
    - Yes, really me.
    - Preserve as much of the intent of both sets of init script changes
      as possible.
    - Still don't depend on netkit-inetd.

 -- Scott James Remnant <scott@ubuntu.com>  Tue, 08 Nov 2005 08:58:46 +0000

netbase (4.23) unstable; urgency=medium

  * Added the LSB data to the init script.
  * etc-services: converted some spaces to tabs. (Closes: #331691)
  * etc-protocols: fixed the IPSEC ESP RFC number. (Closes: #330498)
  * Document in README.Debian which sysctl values replace
    /etc/network/options. (Closes: #330830)

 -- Marco d'Itri <md@linux.it>  Sun, 23 Oct 2005 12:47:40 +0200

netbase (4.24) unstable; urgency=medium

  * etc-services: added nfs (2049). (Closes: #345836)
  * New debconf translation: sv. (Closes: #338806)
  * Do not make the init script fail when options are missing from
    /etc/network/options. (Closes: #335471)

 -- Marco d'Itri <md@linux.it>  Tue,  3 Jan 2006 23:09:34 +0100

netbase (4.22) unstable; urgency=medium

  * /etc/network/options is now deprecated and will not be created anymore
    on new installs. (Closes: #70724, #104569, #252096, #256919, #322548)
  * Converted the init script to lsb-base.
  * Updated the de debconf translation. (Closes: #313953)
  * Added the vi debconf translation. (Closes: #315810)

 -- Marco d'Itri <md@linux.it>  Sat, 24 Sep 2005 18:20:29 +0200
